Summary:     Turck MMCache for PHP
Name:        php-mmcache
Version:     2.4.6
Release:     9.pp
License:     GPL
Group:       Development/Languages
Source0:     http://download.sourceforge.net/sourceforge/turck-mmcache/turck-mmcache-%{version}.tar.bz2
URL:         http://turck-mmcache.sourceforge.net/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Dmitry Stogov <mmcache@turckware.ru>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    php = 4.3.9 apache >= 1.3.31
Provides:    %{name}.pp
Prereq:      /bin/bash /bin/sed
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel php-devel = 4.3.9 automake
ExclusiveOS: linux


%description
Turck MMCache is a free PHP accelerator, optimizer, encoder,
and dynamic content cache. It increases performance of PHP
scripts by caching them in a compiled state, so that the
overhead of compiling is almost completely eliminated. It
also uses some optimizations for speeding up PHP scripts'
execution. It typically reduces server load and increases
the speed of PHP code by 1-10 times.


%prep
%setup -q -n turck-mmcache-%{version}


%build
export CFLAGS="$RPM_OPT_FLAGS"
export PHP_PREFIX="/usr"
$PHP_PREFIX/bin/phpize
aclocal
./configure \
	--prefix=/usr                 \
	--mandir=/usr/share/man       \
	--sysconfdir=/etc             \
	--enable-mmcache              \
	--with-mmcache-disassembler   \
	--enable-shared               \
	--enable-static
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/php4
mkdir -p $RPM_BUILD_ROOT/var/httpd/cache/mmcache
make INSTALL_ROOT=$RPM_BUILD_ROOT install


%post
if [ -f /etc/php.ini ]; then
   cp -f /etc/php.ini /tmp/php.ini-tmp
   /bin/sed -e "s:^;extension=mmcache.so:extension=mmcache.so:g"   \
         -e "s:^;extension=php_mmcache.dll:extension=mmcache.so:g" \
         /tmp/php.ini-tmp > /etc/php.ini
   rm -f /tmp/php.ini-tmp
fi


%preun
if [ $1 = 0 -a -f /etc/php.ini ]; then
   cp -f /etc/php.ini /tmp/php.ini-tmp
   /bin/sed -e "s:^extension=mmcache.so:;extension=mmcache.so:g"   \
         /tmp/php.ini-tmp > /etc/php.ini
   rm -f /tmp/php.ini-tmp
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CREDITS EXPERIMENTAL LICENSE README* TODO *.php
/usr/lib/php4/*
%dir %attr(770,www,www) /var/httpd/cache/mmcache


%changelog
* Tue Oct 19 2004 peter.pramberger@member.fsf.org
- compiled for PHP 4.3.9

* Fri Jul 23 2004 peter.pramberger@member.fsf.org
- compiled for PHP 4.3.8

* Tue May 18 2004 peter.pramberger@member.fsf.org
- compiled for PHP 4.3.6

* Thu Apr 01 2004 peter.pramberger@member.fsf.org
- compiled for PHP 4.3.5

* Fri Dec 19 2003 peter.pramberger@member.fsf.org
- created

